GET /api/v1/serverless/projects/elasticsearch/{id}/_can-delete

Find issues that would prevent deletion of a project

Path parameters

  • id string Required

    The ID of the project

    Format should match the following pattern: ^[a-z0-9]{32}$.

Responses

  • 200 application/json

    The requested delete status

    Hide response attributes Show response attributes object
    • linked_status object Required

      Details about linked origins that affect deletion.

      Hide linked_status attributes Show linked_status attributes object
      • origins array[object] Required

        The origin projects the caller can view.

        Summary details of an origin project that links to the target project.

        Hide origins attributes Show origins attributes object
        • id string Required

          ID of the project.

          Format should match the following pattern: ^[a-z0-9]{32}$.

        • name string Required

          Descriptive name for a project.

          Minimum length is 1, maximum length is 255.

        • alias string Required

          A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.

          Minimum length is 1, maximum length is 50. Format should match the following pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$.

        • type string Required

          The type of the linked project

          Values are elasticsearch, observability, security, or workplaceai.

      • inaccessible_origin_count integer Required

        Number of origin projects the caller cannot view.

        Minimum value is 0.

      • accessible_origins_count integer Required

        Number of origin projects the caller can view.

        Minimum value is 0.

      • total_origins_count integer Required

        Total number of origin projects linked to this project.

        Minimum value is 0.

    • can_be_deleted boolean Required

      Indicates whether the project can be deleted.

  • 404 application/json

    Not Found

    Hide response attribute Show response attribute object
    • errors array[object] Required

      An error response returned by the API.

      Hide errors attributes Show errors attributes object
      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

GET /api/v1/serverless/projects/elasticsearch/{id}/_can-delete
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/serverless/projects/elasticsearch/{id}/_can-delete' \
 --header "Authorization: $API_KEY"